﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samples.Master" AutoEventWireup="true" CodeBehind="pdf-to-image-converter.aspx.cs" Inherits="SelectPdf.Samples.pdf_to_image_converter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>SelectPdf for .NET - Pdf To Image Converter. PDF to JPeg. PDF to Png. Pdf Rasterizer - C# / ASP.NET</title>
    <meta name="description" content="Pdf To Image Converter. PDF to JPeg. PDF to Png. Pdf Rasterizer Sample for C#/ASP.NET. Pdf Library for .NET with full sample code in C# and VB.NET." itemprop="description">
    <meta name="keywords" content="pdf to image, pdf to jpeg, pdf rasterizer, pdf to jpg, pdf to png, pdf to tiff, pdf library, sample code, html to pdf, pdf converter" itemprop="keywords">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="server">
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">SelectPdf for .NET - Pdf To Image Converter. Convert PDF pages to PNG, JPG, BMP or TIFF - C# / ASP.NET Sample</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    This sample shows how to use SelectPdf Pdf Library for .NET to convert PDF document pages to different image formats.
                </p>
                <p>
                    The sample uses the following (existing) test PDF:<br />
                    <a href="files/selectpdf.pdf" target="_blank">Test PDF document</a><br />
                </p>

                <p>
                    This sample will only convert the first page from the specified range (for PNG, JPG, BMP formats). For the TIFF multipage image format, all the specified pages will be converted.
                </p>

                <div class="col3">
                    Image Format:<br />
                    <asp:DropDownList ID="DdlImageFormat" runat="server">
                        <asp:ListItem Text="PNG" Value="PNG" Selected="True"></asp:ListItem>
                        <asp:ListItem Text="JPG" Value="JPG"></asp:ListItem>
                        <asp:ListItem Text="BMP" Value="BMP"></asp:ListItem>
                        <asp:ListItem Text="TIFF" Value="TIFF"></asp:ListItem>
                    </asp:DropDownList><br />
                    <br />
                </div>
                <div class="col3">
                    Start Page:<br />
                    <asp:TextBox ID="TxtStartPage" runat="server" Width="100px" Text="1"></asp:TextBox><br />
                    <br />
                </div>
                <div class="col3">
                    End Page:<br />
                    <asp:TextBox ID="TxtEndPage" runat="server" Width="100px" Text=""></asp:TextBox><br />
                    (Leave empty to extract until the last page)<br />
                    <br />
                </div>

                <div class="col-clear"></div>
                <p>
                    <asp:Button ID="BtnSubmit" runat="server" Text="Convert to Image" OnClick="BtnSubmit_Click" CssClass="mybutton" />
                </p>
            </div>
            <!-- .entry-content -->
        </article>
        <!-- #post -->
</asp:Content>
