﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samples.Master" AutoEventWireup="true" CodeBehind="pdf-split.aspx.cs" Inherits="SelectPdf.Samples.pdf_split" ValidateRequest="false" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>SelectPdf for .NET - Pdf Split - C# / ASP.NET</title>
    <meta name="description" content="SelectPdf Pdf Split Sample for C# / ASPNET. Pdf Library for .NET with full sample code in C# and VB.NET." itemprop="description">
    <meta name="keywords" content="pdf split, pdf page extraction, pdf library, sample code, html to pdf, pdf converter" itemprop="keywords">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="server">
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">SelectPdf for .NET - Pdf Split - C# / ASP.NET Sample</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    This sample shows how to use SelectPdf Library for .NET to split a pdf document into several pdf documents or extract only certain pages from the original document and 
                    create a new pdf document only with them.
                    <br />
                    <br />
                    Here is our initial test pdf document:<br />
                    <a href="files/doc.pdf" target="_blank">Test file</a><br />
                    <br />
                    Click on the "Create PDF" button below to see the result. This sample will create a new pdf document containing only pages 2 and 3 from the original pdf document.
                </p>
                <p>
                    <asp:Button ID="BtnCreatePdf" runat="server" Text="Create PDF" OnClick="BtnCreatePdf_Click" CssClass="mybutton" />
                </p>
            </div>
            <!-- .entry-content -->
        </article>
        <!-- #post -->
</asp:Content>
