﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Samples.Master" CodeBehind="advanced-pdf-security.aspx.vb" Inherits="SelectPdf.Samples.advanced_pdf_security" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>SelectPdf for .NET - Advanced Pdf Security Settings and Digital Signatures - VB.NET / ASP.NET</title>
    <meta name="description" content="SelectPdf Pdf Security and Digital Signature Sample for Visual Basic / ASP.NET. Pdf Library for .NET with full sample code in C# and VB.NET." itemprop="description">
    <meta name="keywords" content="pdf security, digital signature, pdf encryption, rc4, aes, pdf library, sample code, html to pdf, pdf converter" itemprop="keywords">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="server">
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">SelectPdf for .NET - Advanced Pdf Security Settings and Digital Signatures - VB.NET / ASP.NET Sample</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    This sample shows how to modify security settings of an existing PDF document using SelectPdf, how to set a password to be able to view or 
                    modify the document (password: 'test1' and 'test2') and also specifies user permissions for the pdf document (if the user can print, copy content, fill forms, modify, etc).
                    <br />
                    <br />
                    Here is our initial test pdf document:<br />
                    <a href="files/doc1.pdf" target="_blank">Test file</a><br />
                    <br />
                    The pdf document encryption can be done using either RC4 or AES algorithm, using 40 bit, 128 bit or 256 bit encryption keys.
                    <br />
                    <br />
                    The sample also show how to sign an existing PDF document using a PFX certificate.
                    <br />
                    <br />
                    Sample PFX certificate file:<br />
                    <a href="files/selectpdf.pfx" target="_blank">Certificate</a><br />
                    <br />
                    IMPORTANT: Please note that the certificate used is a self signed certificate generated for testing purposes only. 
                    The signature will appear as not valid in a pdf viewer. Using a valid certificate will result in a valid digital signature.
                </p>
                <p>
                    <asp:Button ID="BtnCreatePdf" runat="server" Text="Create PDF" OnClick="BtnCreatePdf_Click" CssClass="mybutton" />
                </p>
            </div>
            <!-- .entry-content -->
        </article>
        <!-- #post -->
</asp:Content>
