﻿@code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Convert Multiple Urls into the same Pdf Document - VB.NET / ASP.NET MVC"
    ViewBag.Description = "SelectPdf Convert Multiple Urls into the same Pdf Document Sample for VB.NET ASP.NET MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "multiple urls to same pdf, pdf library, sample code, html to pdf, pdf converter"
End code

@Using (Html.BeginForm("SubmitAction", "ConvertMultipleUrlsToPdf", FormMethod.Post))

    @<article class="post type-post status-publish format-standard hentry">
        <header class="entry-header">
            <h1 class="entry-title">SelectPdf for .NET - Convert Multiple Urls into the same Pdf Document - VB.NET / ASP.NET MVC Sample</h1>
        </header>
        <!-- .entry-header -->

        <div class="entry-content">
            <p>
                This sample shows how to convert 3 different urls to the same pdf document using SelectPdf Pdf Library for .NET.
            </p>
            <p>
                Url 1:&nbsp;<input type="text" value="http://selectpdf.com" name="TxtUrl1" style="width:90%" /> 
                <br /><br />
                Url 2:&nbsp;<input type="text" value="http://www.google.com" name="TxtUrl2" style="width:90%" />
                <br /><br />
                Url 3:&nbsp;<input type="text" value="http://www.yahoo.com" name="TxtUrl3" style="width:90%" />
                <br /><br />
                <br />
                <input type="submit" name="BtnConvert" value="Create PDF" class="mybutton" />
            </p>
        </div>
        <!-- .entry-content -->
    </article>

End Using
    