﻿@Code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Convert from Url to Image - VB.NET / ASP.NET MVC"
    ViewBag.Description = "SelectPdf Convert from Url to Image Sample for VB.NET ASP.NET MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "convert from url to image, html to png, html to jpg, html to image, pdf library, sample code, html to pdf, pdf converter"
End Code

@Using (Html.BeginForm("SubmitAction", "ConvertUrlToImage", FormMethod.Post))
    @<article class="post type-post status-publish format-standard hentry">
        <header class="entry-header">
            <h1 class="entry-title">SelectPdf for .NET - Convert from Html to Image - VB.NET / ASP.NET MVC Sample</h1>
        </header>
        <!-- .entry-header -->

        <div class="entry-content">
            <p>
                This sample shows how to use SelectPdf html to image converter to convert an url to PNG, JPEG or BMP, also setting a few properties.
            </p>
            <p>
                Url:<br />
                <input type="text" value="http://selectpdf.com" name="TxtUrl" style="width: 90%;" />
            </p>
            <div class="col2">
                Image Format:<br />
                <select name="DdlImageFormat">
                    <option value="png">PNG</option>
                    <option value="jpeg">JPEG</option>
                    <option value="bmp">BMP</option>
                </select><br />
                <br />
            </div>
            <div class="col2">
                Web Page Width:<br />
                <input name="TxtWidth" type="text" value="1024" style="width: 50px;" /> px<br />
                <br />
                Web Page Height:<br />
                <input name="TxtHeight" type="text" value="" style="width: 50px;" /> px<br />
                (leave empty to auto detect)<br />
                <br />

            </div>
            <div class="col-clear"></div>
            <p>
                <input type="submit" name="BtnConvert" value="Convert To Image" class="mybutton" />
            </p>
        </div>
        <!-- .entry-content -->
    </article>
End Using
